local mod = ...

-- Register mithril miner job
mod:register({
	DataType = "JOB",
	Id = "MITHRIL_MINER",
	JobName = "MITHRIL_MINER_NAME",
	JobDescription = "MITHRIL_MINER_DESC",
	CharacterSetup = {
		WorkAnimation = AGENT_ANIMATION.MINE,
	},
	IsLockedByDefault = true,
	UseWorkplaceBehavior = true,
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})

-- Register mithril artisan job (used here to craft chainmails AND necklaces)
mod:register({
	DataType = "JOB",
	Id = "MITHRIL_ARTISAN",
	JobName = "MITHRIL_ARTISAN_NAME",
	JobDescription = "MITHRIL_ARTISAN_DESC",
	CharacterSetup = {
		WorkAnimation = AGENT_ANIMATION.SMITHING,
	},
	IsLockedByDefault = true,
	UseWorkplaceBehavior = true,
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})