local BrothelSystemMod = foundation.createMod();

BrothelSystemMod:registerAssetId("models/brothel.fbx/Prefab/Brothel", "PREFAB_BROTHEL")

-- Jobs
BrothelSystemMod:dofile("scripts/jobs.lua")

BrothelSystemMod:register({
	DataType = "BUILDING",
	Id = "BROTHEL",
	Name = "BROTHEL_NAME",
	Description = "BROTHEL_DESC",
	BuildingType = "GENERAL",
	BuildingPartSetList = {
		{ 
			Name = "BROTHEL_NAME",
			BuildingPartList = { "BROTHEL" }
		}
	}
})

BrothelSystemMod:register({
	DataType = "BUILDING_PART",
	Id = "BROTHEL",
	Name = "BROTHEL_NAME",
	Description = "BROTHEL_DESC",
	Category = "GENERAL",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BROTHEL"
	}
})

 Override default Labour estate
BrothelSystemMod:override({
	Id = "LABOUR",
	EstateProgressList = { -- Add a new estate progress tier
		Action = "APPEND",
		{
			DataType = "ESTATE_PROGRESS_TIER",
			SplendorRequired = 10,
			VillagerStatusRequired = { Status = "SERF", Quantity = 20 },
			UpgradeList = {
				"UNLOCKABLE_MITHRIL_FACTORY"
			}
		}
	}
})
